Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 138516 - CAN-2004-1025 Multiple imlib issues. (CAN-2004-1026)
Summary: CAN-2004-1025 Multiple imlib issues. (CAN-2004-1026)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: imlib
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jonathan Blandford
QA Contact:
URL:
Whiteboard: impact=moderate,public=20040916
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-09 18:52 UTC by Josh Bressers
Modified: 2013-04-02 04:20 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-12-10 16:42:55 UTC
Target Upstream Version:


Attachments (Terms of Use)
Proposed patch to fix these issues. (deleted)
2004-11-09 18:59 UTC, Josh Bressers
no flags Details | Diff
Demo image which will crash imlib. (deleted)
2004-11-09 19:01 UTC, Josh Bressers
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2004:651 normal SHIPPED_LIVE Moderate: imlib security update 2004-12-23 05:00:00 UTC

Description Josh Bressers 2004-11-09 18:52:07 UTC
Pavel Kankovsky of the fedora legacy project has reported multiple
issues in imlib.  This patch fixes a number of issue, the bulk of them
being integer overflows.

See this url for more information
https://bugzilla.fedora.us/show_bug.cgi?id=2051#c11



This issue also affects RHEL2.1
This issue should be fixed for RHEL4 as well.

Comment 1 Josh Bressers 2004-11-09 18:59:24 UTC
Created attachment 106365 [details]
Proposed patch to fix these issues.

Comment 2 Josh Bressers 2004-11-09 19:01:00 UTC
Created attachment 106366 [details]
Demo image which will crash imlib.

Comment 3 Jonathan Blandford 2004-11-23 18:26:07 UTC
Built a package for these

Comment 4 Mark J. Cox 2004-12-10 16:42:55 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-651.html


Comment 5 Josh Bressers 2004-12-23 20:12:34 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-651.html



Note You need to log in before you can comment on or make changes to this bug.